#!/bin/bash

sessionfile="$1"

if [[ -z ${sessionfile} ]]
then
	echo "No sessionfile given."
	exit 1
fi

# session already running? prevents massive double-click attacks
if [[ -z $(ps aux | grep "wf[iI]]ca ${sessionfile}") ]]
then
	nice -n 19 wfica "${sessionfile}"
else
	echo "Session '${sessionfile}' already running."
	exit 3
fi
